#!/bin/sh
DESTDIR=$1
INSTALLDIR=
HOMEDIR=`pwd`
SONAME=`find . -name "libsng_isdn.so.*" |cut -d '/' -f2`

if [ -d $DESTDIR/lib64 ]; then
	INSTALLDIR=$DESTDIR/lib64/
else
	INSTALLDIR=$DESTDIR/lib/
fi


if [ ! -d $INSTALLDIR ]; then
	echo "Creating directory $INSTALLDIR"
	\mkdir -p $INSTALLDIR
fi

echo "Installing $SONAME to $INSTALLDIR"
install -D -m 755 $SONAME $INSTALLDIR/$SONAME

echo "Creating new symlink"
eval "ln -sf $SONAME libsng_isdn.so"
if [ $? -ne 0 ];then
	echo "Failed to create new symlink"
	exit 1
fi

eval "mv -f libsng_isdn.so $INSTALLDIR"
if [ $? -ne 0 ];then
	echo "Failed to install new symlink"
	exit 1
fi

echo "Installing headers"
if [ -e $DESTDIR/include/sng_isdn ]; then
	eval "rm -rf $DESTDIR/include/sng_isdn"
	if [ $? -ne 0 ];then
		echo "Failed to remove existing headers"
		exit 1
	fi
fi

eval "mkdir -p $DESTDIR/include/sng_isdn"
HEADERS=`ls include`
for HEADER in $HEADERS; do
	echo "$HEADER to $DESTDIR/include/sng_isdn/$HEADER"
	install -D -m 644 include/$HEADER $DESTDIR/include/sng_isdn/$HEADER
done


if [ "$(id -u)" = "0" ]; then
#run ldconfig if we are root
        echo "Running ldconfig"
        ldconfig
fi
